import telebot
import requests
from telebot import types
import conf_bot

auth = conf_bot.auth
url = conf_bot.url
bot = telebot.TeleBot(conf_bot.TOKEN)

# Обработка команд "/start" и "/help"
@bot.message_handler(commands=['start', 'help'])
def start(message):
	markup = types.ReplyKeyboardMarkup()
	markup.row('/barrier', '/socket', '/door')
	markup.row('/help')
	bot.send_message(message.chat.id, ''' 
    	***Тестовый бот для управления IO линиями устройства NetPing IO v2*** 

    	Чтобы открыть или закрыть шлагбаум используйте команду /barrier

    	Чтобы включить, выключить или перезагрузить роутер используйте команду /socket

    	Чтобы открыть или закрыть дверь в серверную используйте команду /door

    	Для вызова этой справки используйте команду /help

		''',
    	reply_markup=markup)

# Обработка команды "/barrier", создание меню.
@bot.message_handler(commands=['barrier'])
def status(m):
	keyboard = types.InlineKeyboardMarkup() 
	keyboard.add(*[types.InlineKeyboardButton(text=name, 
		callback_data=name) for name in ['Открыть шлагбаум', 
	'Закрыть шлагбаум']])
	msg = bot.send_message(m.chat.id, '''
		Эта команда позволяет открыть или закрыть шлагбаум.

		Выберите необходимое действие: ''',
		reply_markup=keyboard)

# Обработка команды "/socket", создание меню.
@bot.message_handler(commands=['socket'])
def status(m):
	keyboard = types.InlineKeyboardMarkup() 
	keyboard.add(*[types.InlineKeyboardButton(text=name, 
		callback_data=name) for name in ['Включить розетку', 
	'Выключить розетку', 'Перезагрузить розетку' ]])
	msg = bot.send_message(m.chat.id, '''
		Эта команда позволяет управлять розеткой электропитания.

		Выберите необходимое действие: ''',
		reply_markup=keyboard)

# Обработка команды "/door", создание меню.
@bot.message_handler(commands=['door'])
def status(m):
	keyboard = types.InlineKeyboardMarkup() 
	keyboard.add(*[types.InlineKeyboardButton(text=name, 
		callback_data=name) for name in ['Открыть электрозамок', 
	'Закрыть электрозамок' ]])
	msg = bot.send_message(m.chat.id, '''
		Эта команда позволяет открывать или закрывать электрозамок на двери в серверную.

		Выберите необходимое действие: ''',
		reply_markup=keyboard)

# Обработка нажатия кнопки меню "Открыть шлагбаум"
@bot.callback_query_handler(func=lambda c: True)
def inline(c):
	if c.data =='Открыть шлагбаум':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Шлагбаум открыт',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io1=1', auth=auth)
#Обработка нажатия кнопки меню "Закрыть шлагбаум"
	elif c.data =='Закрыть шлагбаум':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Шлагбаум закрыт',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io1=0', auth=auth)
			
# Обработка нажатия кнопки меню "Включить розетку"
	elif c.data =='Включить розетку':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Роутер включен',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io2=0', auth=auth)
#Обработка нажатия кнопки меню "Выключить розетку"
	elif c.data =='Выключить розетку':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Роутер выключен',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io2=1', auth=auth)
#Обработка нажатия кнопки меню "Перезагрузить розетку"
	elif c.data =='Перезагрузить розетку':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Роутер перезагружен',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io2=f,10', auth=auth)	

# Обработка нажатия кнопки меню "Открыть электрозамок"
	elif c.data =='Открыть электрозамок':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Дверь в серверную открыта',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io3=1', auth=auth)
#Обработка нажатия кнопки меню "Закрыть электрозамок"
	elif c.data =='Закрыть электрозамок':
		bot.edit_message_text(
			chat_id=c.message.chat.id,
			message_id=c.message.message_id, 
			text='Дверь в серверную закрыта',
			parse_mode='Markdown')
		r = requests.get(url+'io.cgi?io3=0', auth=auth)
bot.polling()
